Subject: Re: linux-next: manual merge of the tip tree with the mm tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 6 Jan 2025 14:09:28 +1100

Hi all,

On Mon, 9 Dec 2024 13:24:46 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the tip tree got conflicts in:
> 
>   include/linux/mm.h
>   include/linux/mm_types.h
>   kernel/fork.c
>   tools/testing/vma/vma_internal.h
> 
> between commits:
> 
>   5f0d64389e1f ("mm: convert mm_lock_seq to a proper seqcount")
>   062111898568 ("mm: move per-vma lock into vm_area_struct")
>   85ad413389ae ("mm: make vma cache SLAB_TYPESAFE_BY_RCU")
> 
> from the mm-unstable branch of the mm tree and commit:
> 
>   eb449bd96954 ("mm: convert mm_lock_seq to a proper seqcount")
> 
> from the tip tree.
> 
> Note that commits 5f0d64389e1f and eb449bd96954 are identical patches.
> 
> I fixed it up (I used the mm tree version) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

I got 2 more conflicts today due to the duplicate patch above.

-- 
Cheers,
Stephen Rothwell